package de.ivu.elect.business.benutzerverwaltung.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class RechteKonfigurationProperties
{

private final RechteKonfiguration entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  nurImTestmodusAktivProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  rechtAsStringProperty;

        
    

public RechteKonfigurationProperties(RechteKonfiguration entity) {
this.entity = entity;

}

private static RechteKonfigurationMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( RechteKonfigurationMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getNurImTestmodusAktivProperty() {
        if (nurImTestmodusAktivProperty == null) {
        nurImTestmodusAktivProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getNurImTestmodusAktivEinzahlMessage(),
        getMetaData().getNurImTestmodusAktivDefaultValue(),
        getMetaData().isNurImTestmodusAktivRequired(),
                entity::setNurImTestmodusAktiv,
        entity::getNurImTestmodusAktiv

                );

        }


        return nurImTestmodusAktivProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getRechtAsStringProperty() {
        if (rechtAsStringProperty == null) {
        rechtAsStringProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getRechtAsStringEinzahlMessage(),
        getMetaData().getRechtAsStringDefaultValue(),
        getMetaData().isRechtAsStringRequired(),
                entity::setRechtAsString,
        entity::getRechtAsString

                    ,  1 ,
            de.ivu.elect.business.benutzerverwaltung.entity.RechteKonfigurationConstants.RECHT_MAX_LENGTH
                );

        }


        return rechtAsStringProperty;
        }





        
        }